// Mesh Algorithms: a library of algorithms to manipulate 3D meshes
// Copyright (C) 2001 Tim Garthwaite and Jason Reposa

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "Color.h"

using namespace std;

Color::Color(GLfloat r, GLfloat g, GLfloat b, GLfloat a) {
  red = r;
  blue = b;
  green = g;
  alpha = a;
}

GLvoid Color::setColor(GLfloat r, GLfloat g, GLfloat b, GLfloat a) { red = r; green = g; blue = b; alpha = a; }

GLfloat Color::r() const { return red; }
GLfloat Color::g() const { return green; }
GLfloat Color::b() const { return blue; }
GLfloat Color::a() const { return alpha; }

GLfloat & Color::r() { return red; }
GLfloat & Color::g() { return green; }
GLfloat & Color::b() { return blue; }
GLfloat & Color::a() { return alpha; }

GLvoid Color::r(GLfloat r) { red = r; }
GLvoid Color::g(GLfloat g) { green = g; }
GLvoid Color::b(GLfloat b) { blue = b; }
GLvoid Color::a(GLfloat a) { alpha = a; }

string Color::toString() {
  string s;
  char c[100];

  sprintf(c, "%f %f %f %f", red, green, blue, alpha);
  s = c;

  return s;
}
