// Mesh Algorithms: a library of algorithms to manipulate 3D meshes
// Copyright (C) 2001 Tim Garthwaite and Jason Reposa

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef NORMAL_H
#define NORMAL_H

#include "options.h"
#include "Vector.h"
#include <GL/gl.h>

//! Contains information for a normal (usually at a vertex).
class Normal : public Vector {
 public:
  Normal( GLfloat x = 0.0f, //!< x value of the vector.
          GLfloat y = 0.0f, //!< y value of the vector.
          GLfloat z = 0.0f, //!< z value of the vector.
          GLfloat w = 1.0f //!< space the vector exists in (must be 1).
        );

};

#endif
