// Mesh Algorithms: a library of algorithms to manipulate 3D meshes
// Copyright (C) 2001 Tim Garthwaite and Jason Reposa

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "Point.h"

using namespace std;

Point::Point(GLfloat x,
	     GLfloat y,
	     GLfloat z,
	     GLfloat w) {
  p[0] = x;
  p[1] = y;
  p[2] = z;
  p[3] = w;
}  

GLfloat  Point::x() const { return p[0]; }
GLfloat  Point::y() const { return p[1]; }
GLfloat  Point::z() const { return p[2]; }
GLfloat  Point::w() const { return p[3]; }
GLfloat &Point::x()       { return p[0]; }
GLfloat &Point::y()       { return p[1]; }
GLfloat &Point::z()       { return p[2]; }
GLfloat &Point::w()       { return p[3]; }

void Point::setPoints(GLfloat x, GLfloat y, GLfloat z, GLfloat w) {
  p[0] = x;
  p[1] = y;
  p[2] = z;
  p[3] = w;
}

string Point::toString() {
  string s;
  char c[100];

  sprintf(c, "%f %f %f %f", p[0], p[1], p[2], p[3]);
  s = c;

  return s;
}
